package iitb.cfilt.cpost.lexicon;
import java.util.*;
import java.io.*;
import java.lang.String;

public class Lex {
	String root;
	StemFeatures features;
	String category;
	
	Lex(){
		root = "";
		features = new StemFeatures();
		category = "";		
	}
	
	Lex(String root, char clas, char gender, String ending, String category){
		this.root = root;
		features = new StemFeatures( clas, gender, ending);
		this.category = category;		
	}
	
	public StemFeatures getFeatures(){
		return features;
	}
	public void print(){
		System.out.print("[ Root : " + root + ", Category : " + category );
		features.print();
	}

	public String getCategory() {
		return category;
	}

	public void setCategory(String category) {
		this.category = category;
	}

	public String getRoot() {
		return root;
	}

	public void setRoot(String root) {
		this.root = root;
	}
}
